'use strict';

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function TextAutoResize({
  minRows = 2,
  maxRows = 5,
  className,
  style,
  placeholder,
  disabled,
  onKeyUp,
  onChange
}) {
  const [rows, setRows] = React.useState(minRows);
  const [value, setValue] = React.useState("");
  function setTextAreaInput(e) {
    const val = e.target.value;
    setValue(onChange(val));
    const newLines = (val.match(/\n/g) || []).length;
    if (!newLines) setRows(minRows);else if (newLines < maxRows) setRows(newLines + 1);else setRows(maxRows);
  }
  return /*#__PURE__*/React__default["default"].createElement("textarea", {
    rows: rows,
    onChange: e => setTextAreaInput(e),
    className: className,
    value: value,
    style: style,
    placeholder: placeholder,
    disabled: disabled,
    onKeyUp: onKeyUp
  });
}

module.exports = TextAutoResize;
